For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get supportGet a Demo
  • Get Started
    • Welcome
    • Authorisation
    • Webhooks
  • API Reference
      • GETList providers
      • POSTCreate provider
      • GETGet provider by ID
      • PUTUpdate provider
      • DELDelete provider
LogoLogo
Get supportGet a Demo
API ReferenceProviders

Update provider

PUT
https://api.caresquareapi.com/api/public/v1/providers/:provider_id
PUT
/api/public/v1/providers/:provider_id
$curl -X PUT https://api.caresquareapi.com/api/public/v1/providers/provider_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "string",
3 "entity_name": "string",
4 "abn": "string",
5 "email": "string"
6}
Was this page helpful?
Previous

Delete provider

Next
Built with

Authentication

AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.

Path parameters

provider_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
entity_namestringOptional
abnstringOptional
emailstringOptionalformat: "email"

Response

Updated provider
idstringformat: "uuid"
entity_namestring
abnstring
Australian Business Number
emailstringformat: "email"

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error